> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Retrieve an upload GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/uploads/{upload_id} Reference: https://contentful.com/developers/docs/references/content-management-api/uploads/retrieve-an-upload ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — Alphanumeric `id` of the space to retrieve. - `environment_id` (string, optional) — Alphanumeric `id` of the environment. Defaults to `master`. - `upload_id` (string, required) — Alphanumeric `id` of the upload to retrieve. ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "sys": { "createdAt": "2025-03-17T06:55:16.000Z", "createdBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "expiresAt": "2025-12-01T19:22:35.000Z", "id": "2DNvIbYNELgqLJUkgTeIOV", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Upload" } } ```